=== applications/CMakeLists.txt ===
# set the use of C++17 globally as all examples require it
set(CMAKE_CXX_STANDARD 17)

add_subdirectory(osggroups)
add_subdirectory(osgmaths)
add_subdirectory(vsgnodes)
add_subdirectory(vsgobjects)
add_subdirectory(vsgwithosg)
