=== debian/changelog ===
osg2vsg (0.3.0-1+11.29) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 04 Oct 2025 05:37:02 +0000

osg2vsg (0.0.0) unstable; urgency=low

  * Initial build

 -- Rene van Paassen <Rene.vanPaassen@gmail.com>  Thu, 14 Jul 2022 16:00:00 +0200
