=== debian/control ===
Source: osg2vsg
Section: unknown
Priority: extra
Maintainer: Rene van Paassen <Rene.vanPaassen@gmail.com>
Build-Depends: debhelper (>= 10), cdbs, cmake, pkg-config, gcc, libvulkan-dev,  libvulkanscenegraph-dev, libfreetype-dev, libassimp-dev, libopenexr-dev, libgdal-dev, libcurl4-openssl-dev, libopenscenegraph-dev

Package: osg2vsg-utils
Architecture: any
Depends: libosg2vsg
Description: Conversion utility vulkanscenegraph
 Conversion program for converting models to vulkanscenegraph native format

Package: libosg2vsg
Architecture: any
Depends:
Description: Library files
 Runtime libraries for libosg2vsg

Package: libosg2vsg-dev
Architecture: all
Depends: libosg2vsg, libvulkan-dev, libvulkanscenegraph-dev, libfreetype-dev, libassimp-dev, libopenexr-dev, libgdal-dev, libcurl4-openssl-dev, libopenscenegraph-dev
Description: Development headers
 Development headers for libosg2vsg
